Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Michael Wozniak <[email-masked]>
Date: Mon, 19 May 2014 20:45:55 -0400

You would set it up as a forwarder, not as a zone transfer to bind.  That should proxy the request every time and only cache based on any TTL that’s set in the response.

Here’s an example of how it could work:
https://planet.jboss.org/post/setting_up_a_forwarding_dns_server_or_dns_proxy_with_isc_bind

On May 19, 2014, at 7:49 PM, Jeff Garzik <[email-masked]> wrote:

> On Mon, May 19, 2014 at 4:36 PM, Robert McKay <[email-masked]> wrote:
>> It should be possible to configure bind as a DNS forwarder.. this can
>> be done in a zone context.. then you can forward the different zones to
>> different dnsseed daemons running on different non-public IPs or two
>> different ports on the same IP (or on one single non-public IP since
>> there's really no reason to expose the dnsseed directly daemon at all).
> 
> Quite the opposite.  dnsseed data rotates through a lot of addresses
> if available.  Using the bind/zone-xfer system would result in fewer
> total addresses going through to the clients, thanks to the addition
> of caching levels that the bind/zone-xfer system brings.
> 
> That said, if the choice is between no-service and bind, bind it is ;p
> 
> -- 
> Jeff Garzik
> Bitcoin core developer and open source evangelist
> BitPay, Inc.      https://bitpay.com/
> 
> ------------------------------------------------------------------------------
> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> Instantly run your Selenium tests across 300+ browser/OS combos.
> Get unparalleled scalability from the best Selenium testing platform available
> Simple to use. Nothing to install. Get started now for free."
> http://p.sf.net/sfu/SauceLabs
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development